<template>
  <div>
    <el-button type="primary" @click="handleAdd">申请纸质成绩单</el-button>
    <div style="height: 20px"></div>
    <table-list :remote="remote" :columns="columns" ref="tableList"></table-list>
  </div>
</template>

<script>
import listMixins from '../../mixins/list'

export default {
  mixins: [listMixins],
  data() {
    return {
      columns: [
        { prop: 'form.number', label: '份数' },
        { prop: 'form.price', label: '费用' },
        { prop: 'form.receive_name', label: '收件人' },
        { prop: 'form.telephone', label: '收件人电话' },
        { prop: 'form.email', label: '邮寄地址' },
        { prop: 'status_name', label: '审批状态' },
        { prop: 'approve_time1', label: '审批时间' },
        { prop: 'remark1', label: '审批备注' },
        {
          label: '操作',
          attrs: { width: '160' },
          buttons: [
            {
              label: '查看',
              isShow(row) {
                return row.status !== -1
              },
              onClick: row => {
                this.$router.push({ name: 'pareportView', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '支付',
              isShow(row) {
                return row.pay === 0
              },
              onClick: row => {
                this.$router.push({ name: 'pareportEdit', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '编辑',
              isShow(row) {
                return row.status === -1
              },
              onClick: row => {
                this.$router.push({ name: 'pareportEdit', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '删除',
              isShow(row) {
                return row.status === -1 && row.pay !== 1
              },
              onClick: row => {
                this.handleRemove(row)
              }
            }
          ]
        }
      ]
    }
  },
  methods: {
    // 新增
    handleAdd() {
      this.$router.push({ name: 'pareportAdd', query: { id: this.affairId } })
    }
  }
}
</script>
